package com.brilliance.isc.common.fecism.calcfee.impl;

import com.brilliance.isc.common.fecism.calcfee.AbstractFeeCalculator;
import com.brilliance.isc.common.fecism.vo.CalcFeeRequest;
import com.brilliance.isc.common.fecism.vo.CalcFeeResponse;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

@Component("F_FeeCalculator")
public class FreeFeeCalculator extends AbstractFeeCalculator {

    @Override
    protected CalcFeeResponse calculate(CalcFeeRequest request) {
        CalcFeeResponse calcFeeResponse = new CalcFeeResponse();
        calcFeeResponse.setCur(request.getFeecur());
        calcFeeResponse.setAmt(BigDecimal.ZERO);
        calcFeeResponse.setOgiamt(BigDecimal.ZERO);
        return null;
    }
}
